umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions | Variables
Uml::PrimitiveTypes Namespace Reference

## Enumerations
enum | Enum { String , Boolean , UnlimitedNatural , Integer , Real , Reserved }

## Functions
QString | toString (Enum item)
QString | toString (int item)
Enum | fromString (const QString &item, bool strict)
Enum | fromInt (int item)

## Variables
const char * | strings []
const int | n_types = int(Reserved)

## Detailed Description

UML primitive types

## Enumeration Type Documentation

## ◆ Enum

enum Uml::PrimitiveTypes::Enum

Enumerator
String |
Boolean |
UnlimitedNatural |
Integer |
Real |
Reserved |

## Function Documentation

## ◆ fromInt()

Enum Uml::PrimitiveTypes::fromInt | ( | int | item | ) |

## ◆ fromString()

Enum Uml::PrimitiveTypes::fromString | ( | const QString & | item,
|  | bool | strict )

Converts the string of an Enum to the Enum value.

Parameters

  item | The string to convert to Enum
  strict | Controls the value returned if the given string does not represent an Enum value: If strict is true then the value Reserved is returned, otherwise the value String is returned.

## ◆ toString() [1/2]

QString Uml::PrimitiveTypes::toString | ( | Enum | item | ) |

## ◆ toString() [2/2]

QString Uml::PrimitiveTypes::toString | ( | int | item | ) |

## Variable Documentation

## ◆ n_types

const int Uml::PrimitiveTypes::n_types = int(Reserved)

## ◆ strings

const char* Uml::PrimitiveTypes::strings[]

Initial value:
= {
"String",
"Boolean",
"UnlimitedNatural",
"Integer",
"Real",
"not_a_primitivetype"
}